Busy Mode

This endpoint allows a POS to update store status. One, several or all channel links can be put in busy/online mode(should be supported by channels as well) by calling this endpoint. When sending a call to the endpoint make sure it includes isActive flag which indicates if store busy/online. Optional parameter channelLinks allwos you to specify a list of channel links to be put in busy/online mode. Otherwise all location channel links will be put in busy/online mode. As a payload we always expect a JSON that contains: * Flag that indicates if store is busy/online (isActive) * [Optional] Array of channel link ids to be put in busy/online more (channelLink)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Summary

This endpoint allows you to control whether an individual store or all stores within a location are active i.e. accepting online orders. This corresponds to the Deliverect function to set a store to 'Busy Mode' (see user guide here)

The isActive boolean will indicate whether the store is to be set active and accepting orders or not.

Please note that whilst channel platforms will support stores being set inactive, this doesn't always apply for an indefinite time. Many channels will revert any closed status at the end of normal operating hours.

Variables

This endpoint can be used to implement 'Busy Mode' in two different ways;

1. Set 'Active' state by Location

With the endpoint containing a valid /locationId this will have the effect of changing the store status of all stores within a location.

2. Set 'Active' state by Channel

Individual stores within a location can specified in an array of channelLinks, where the channelLinkId for each channel can be included this will apply to the entire location.

Set "Timed Busy Mode"

Additionally, when setting "isActive": false, i.e. turning 'Busy Mode' on, a time can be specified when this status should be automatically lifted. To disable the closed status, specify the time at which the store should re-open as "disableAt": "yyyy-MM-ddTHH:mm:ssZ"

Opening hours need to be set at location level to use "Timed Busy Mode".

NB: Updating store status does not override a stores normal operating hours set.

Parameters *required

ParameterMeaningType
  • isActive *
The flag to indicates that the store is to be set as busy/online (isActive)bool
channelLinksOptional to specify an array of channel links IDs to be put in busy/online morestr
disableAtOptional to specify a time at which the store should re-openstr
Path Params
string
required
Body Params
string
required
string
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json